Index: branch/MBADINGA/sp4b1/SP4b1/DefaultSession.hsf
===================================================================
--- branch/MBADINGA/sp4b1/SP4b1/DefaultSession.hsf	(revision 646)
+++ branch/MBADINGA/sp4b1/SP4b1/DefaultSession.hsf	(revision 647)
@@ -7,6 +7,7 @@
 [INFORMATION]
 "" 
 [GENERAL_DATA]
+"RESET_CPU_AFTER_DOWNLOAD_TAG" "VARIANT_FALSE_STORE_TAG" 
 "{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlECX_MAP_FIND_SYMBOL_LIST" "" 
 "{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlViews" "0" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBatchFileName" "" 
@@ -51,8 +52,10 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b1\SP4b1\SP4b1.c" 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b1\SP4b1\sfr32c87.h" 
 [TARGET_NAME]
-"" "" 1182035557 
+"" "" 1 
 [STATUSBAR_STATEINFO_VD1]
 "MasterShowState" 1 
 "ApplicationShowState" 1 
@@ -92,7 +95,7 @@
 "1" 
 [COMMAND_FILES]
 [DEFAULT_DEBUG_FORMAT]
-"" 
+"<none>" 
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
Index: branch/MBADINGA/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini
===================================================================
--- branch/MBADINGA/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini	(revision 646)
+++ branch/MBADINGA/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.ini	(revision 647)
@@ -7,7 +7,7 @@
 EMUSEL=0
 MCU_GROUP=M32C__87 Group
 [POWER_SUPPLY]
-VOLTAGE_5_0=0
+VOLTAGE_5_0=1
 VOLTAGE_3_3=0
 [FW_LOCATE]
 FWADDRESS=fff0
@@ -18,6 +18,8 @@
 PROCESSOR_MODE=0
 [COMMUNI]
 COMSPEED=8
+COMSPEED PROGRAM FLASH=8
+COMSPEED DATA FLASH=8
 [Driver Configuration]
 Renesas Communications=USB interface,0,
 [Target]
Index: branch/MBADINGA/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.hsf
===================================================================
--- branch/MBADINGA/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.hsf	(revision 646)
+++ branch/MBADINGA/sp4b1/SP4b1/SessionM32C_E8a_SYSTEM.hsf	(revision 647)
@@ -8,6 +8,15 @@
 "" 
 [GENERAL_DATA]
 "RESET_CPU_AFTER_DOWNLOAD_TAG" "VARIANT_TRUE_STORE_TAG" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_FLASH_MODE" "0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_GOOPTION" "0 5 0 0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_ROUND" "RM_NEAR" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_STEPOPTION" "0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC1" "0,0,1,0,1,0,1,0,0,0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC2" "0,0,1,0,1,0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC3" "0,0,1,0,1,0,1,0,0,0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC4" "0,0,1,0,1,0,1,0,0,0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_SESSION_IS_SAVED" "YES" 
 [LANGUAGE]
 "English" 
 [CONFIG_INFO_VD1]
@@ -46,7 +55,7 @@
 [STATUSBAR_DEBUGGER_PANESTATE_VD3]
 [STATUSBAR_DEBUGGER_PANESTATE_VD4]
 [DEBUGGER_OPTIONS]
-"Unknown Options" 
+"[B|SIMIOF|1] [I|SIMIOADR|0x00000000] [S|ROM_MODE|^"^"] [S|MAP|^"^"] [S|RESOURCE|^"^"]" 
 [DOWNLOAD_MODULES]
 "$(CONFIGDIR)\$(PROJECTNAME).x30" 0 "IEEE695_RENESAS" 0 0 1 0 
 [CONNECT_ON_GO]
Index: branch/MBADINGA/sp4b1/SP4b1/SP4b1.c
===================================================================
--- branch/MBADINGA/sp4b1/SP4b1/SP4b1.c	(revision 646)
+++ branch/MBADINGA/sp4b1/SP4b1/SP4b1.c	(revision 647)
@@ -70,11 +70,9 @@
 			touche ='#';
 	        }
 		 	if (t==0xe7){
-			touche ='#';
+			touche ='*';
 	        }
 			
-	  		
-			
 	}
 }
  
\ No newline at end of file
Index: branch/MBADINGA/sp4b2/SP4b2/DefaultSession.hsf
===================================================================
--- branch/MBADINGA/sp4b2/SP4b2/DefaultSession.hsf	(revision 646)
+++ branch/MBADINGA/sp4b2/SP4b2/DefaultSession.hsf	(revision 647)
@@ -15,7 +15,9 @@
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlSplitterPosition" "242" 
-"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
 "{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
 "{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileDir" "" 
 "{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileName" "" 
@@ -32,6 +34,7 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.33" 180 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_OUTPUT}" "WINDOW" 59422 0 0 "1.00" 180 569 307 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 180 569 307 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -51,6 +54,7 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\SP4b2.c" 
 [TARGET_NAME]
 "" "" 1853190002 
 [STATUSBAR_STATEINFO_VD1]
Index: branch/MBADINGA/sp4b2/SP4b2/SP4b2.hwp
===================================================================
--- branch/MBADINGA/sp4b2/SP4b2/SP4b2.hwp	(revision 646)
+++ branch/MBADINGA/sp4b2/SP4b2/SP4b2.hwp	(revision 647)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"SP4b2" "D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2" "D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\SP4b2.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
+"SP4b2" "D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2" "D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\SP4b2.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\Debug" 
-"Debug_M32C_E8a_SYSTEM" "D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\Debug_M32C_E8a_SYSTEM" 
-"Debug_M32C_Simulator" "D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\Debug_M32C_Simulator" 
-"Release" "D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\Release" 
+"Debug" "D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\Debug" 
+"Debug_M32C_E8a_SYSTEM" "D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\Debug_M32C_E8a_SYSTEM" 
+"Debug_M32C_Simulator" "D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\Debug_M32C_Simulator" 
+"Release" "D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,8 +105,8 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\SP4b2.c" "User" "C source file" 2 
-"D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\ncrt0.a30" "User" "Assembly source file" 2 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\SP4b2.c" "User" "C source file" 2 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\ncrt0.a30" "User" "Assembly source file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C source file" "C source file" 
@@ -115,18 +115,18 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\DefaultSession.hsf" 0 
-"SessionM32C_E8a_SYSTEM" "D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\SessionM32C_E8a_SYSTEM.hsf" 0 
-"SessionM32C_Simulator" "D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\DefaultSession.hsf" 0 
+"SessionM32C_E8a_SYSTEM" "D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\SessionM32C_E8a_SYSTEM.hsf" 0 
+"SessionM32C_Simulator" "D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_SYSTEM]
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "007a719b44157d10" 2 
-"D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\ncrt0.a30" "007a719b44157d10" 2 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\ncrt0.a30" "007a719b44157d10" 2 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "007a719b44157d10" 1 
-"D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\SP4b2.c" "007a719b44157d10" 1 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\SP4b2.c" "007a719b44157d10" 1 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "007a719b44157d10" 6 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -145,14 +145,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug]
 [LINKAGE_ORDER_Debug]
-"D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\Debug\ncrt0.r30" 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\Debug\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Assembler]
 "Assembly source file" "007a719b44157d10" 2 
-"D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\ncrt0.a30" "007a719b44157d10" 2 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\ncrt0.a30" "007a719b44157d10" 2 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C C Compiler]
 "C source file" "007a719b44157d10" 1 
-"D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\SP4b2.c" "007a719b44157d10" 1 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\SP4b2.c" "007a719b44157d10" 1 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Configurator]
 "Single Shot" "007a719b44157d10" 6 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Librarian]
@@ -171,14 +171,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_E8a_SYSTEM]
 [LINKAGE_ORDER_Debug_M32C_E8a_SYSTEM]
-"D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_E8a_SYSTEM]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "007a719b44157d10" 2 
-"D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\ncrt0.a30" "007a719b44157d10" 2 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\ncrt0.a30" "007a719b44157d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "007a719b44157d10" 1 
-"D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\SP4b2.c" "007a719b44157d10" 1 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\SP4b2.c" "007a719b44157d10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "007a719b44157d10" 6 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -197,14 +197,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_Simulator]
 [LINKAGE_ORDER_Debug_M32C_Simulator]
-"D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\Debug_M32C_Simulator\ncrt0.r30" 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\Debug_M32C_Simulator\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "007a719b44157d10" 2 
-"D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\ncrt0.a30" "007a719b44157d10" 2 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\ncrt0.a30" "007a719b44157d10" 2 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "007a719b44157d10" 1 
-"D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\SP4b2.c" "007a719b44157d10" 1 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\SP4b2.c" "007a719b44157d10" 1 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "007a719b44157d10" 6 
 [OPTIONS_Release_Renesas M32C Librarian]
@@ -223,7 +223,7 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Release]
 [LINKAGE_ORDER_Release]
-"D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\Release\ncrt0.r30" 
+"D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\Release\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Release]
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
Index: branch/MBADINGA/sp4b2/SP4b2/SessionM32C_E8a_SYSTEM.ini
===================================================================
--- branch/MBADINGA/sp4b2/SP4b2/SessionM32C_E8a_SYSTEM.ini	(revision 646)
+++ branch/MBADINGA/sp4b2/SP4b2/SessionM32C_E8a_SYSTEM.ini	(revision 647)
@@ -10,8 +10,8 @@
 VOLTAGE_5_0=1
 VOLTAGE_3_3=0
 [FW_LOCATE]
-FWADDRESS=fff0
-RAMADDRESS=c3
+FWADDRESS=f000
+RAMADDRESS=04
 [WDT]
 WDT_USE=0
 [MCU_SETTING]
@@ -25,4 +25,4 @@
 [Target]
 M32C E8a SYSTEM=Renesas Communications
 [USER_DATA]
-RESET=fe0000
+RESET=fe0002
Index: branch/MBADINGA/sp4b2/SP4b2/SP4b2.c
===================================================================
--- branch/MBADINGA/sp4b2/SP4b2/SP4b2.c	(revision 646)
+++ branch/MBADINGA/sp4b2/SP4b2/SP4b2.c	(revision 647)
@@ -30,7 +30,9 @@
 void tpo_us(int t);
 char test;
 char touche;
+char memo = 0;
 
+ 
 void main(void)
 {
  /*pd1=0xFF; // déclare la broche p1 en sortie 	
@@ -42,7 +44,7 @@
  pd10= 0x0F;
  pu31=1;
  p10=0x00;
- 
+
  	while (1){
    		test=p10;
   		p10= 0xFe;
@@ -98,8 +100,18 @@
     	if (test==0xe7){
    			touche ='*';
          }
-	 lcd_car (touche);
+		memo=touche;
+		
+		if (memo==touche){
+						
+		 	lcd_car (touche);
+		    
+		}
+		memo=0;
+	 	 
 	 }
+
+	 
 	
 }
 
Index: branch/MBADINGA/sp4b2/SP4b2.hws
===================================================================
--- branch/MBADINGA/sp4b2/SP4b2.hws	(revision 646)
+++ branch/MBADINGA/sp4b2/SP4b2.hws	(revision 647)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"SP4b2" "D:\TPSP4_MBADINGA_DAN\sp4b2" "D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"SP4b2" "D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2" "D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"SP4b2" "D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2" "D:\TPSP4_MBADINGA_DAN\sp4b2\SP4b2\SP4b2.hwp" 0 
+"SP4b2" "D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2" "D:\TP_SP4_MBADINGA_IBOUILI_DAN\sp4b2\SP4b2\SP4b2.hwp" 0 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]
@@ -21,7 +21,12 @@
 [MAKEFILE_BUILD_INFO]
 "$(WORKSPDIR)\make\$(PROJECTNAME)_$(CONFIGNAME).mak" "" "$(WORKSPDIR)\make" 0 0 0 
 [VD_CONFIGURATION_OPTIONS]
+"ACTIVE_DESKTOP" "0" 
 [VD_CONFIGURATIONS]
+"0" "Default1" "1" 
+"1" "Default2" "1" 
+"2" "Default3" "1" 
+"3" "Default4" "1" 
 [OPTIONS_DEBUG_TAB]
 0 0 0 0 0 
 [VCS]